PETSc version 3.15.5
Fix/Edit manual page

# DMGetLocalBoundingBox

Returns the bounding box for the piece of the DM on this process.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLocalBoundingBox(DM dm, PetscReal lmin[], PetscReal lmax[])

Not collective

### Input Parameter

| dm | - the DM

### Output Parameters

| lmin | - local minimum coordinates (length coord dim, optional)
| lmax | - local maximim coordinates (length coord dim, optional)

Note: If the DM is a DMDA and has no coordinates, the index bounds are returned instead.

### See Also

DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetBoundingBox()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages